
QGIS Application - Feature request #2046

-c option missing in v.out.ogr.pg

2009-11-02 05:44 AM - Otto Dassau

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12106

Description

Hi,

I would like to see the -c option added to the v.out.ogr.pg module in the GRASS toolbox to be able to preserve islands.

Regards,

 Otto

History

#1 - 2009-11-30 05:23 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

I was trying to make a patch for this module in order to add the "-c" flag, just to discover that there is no such flag.

"v.out.ogr.pg.py --help" returns

Description:

 Export vector to [[PostGIS]] (PostgreSQL) database table.

Keywords:

 vector, export, database

Usage:

 v.out.ogr.pg.py input=name layer=value type=string[,string,...]

   olayer=string [host=string] [port=value] database=name [user=string]

   [password=string] [--verbose] [--quiet]

Flags:

 --v   Verbose module output

 --q   Quiet module output

Parameters:

     input   Name of input vector map

     layer   Number of input layer

             default: 1

      type   Feature type(s)

             options: point,kernel,centroid,line,boundary,area,face

    olayer   Name of output database table

      host   Host
              Host name of the machine on which the server is running.

      port   Port

              TCP port on which the server is listening, usually 5432.

  database   Database

              Database name

      user   User

              Connect to the database as the user username instead of the  default.

  password   Password

              Password will be stored in file!

so I guess that it is the manual page that is wrong.

#2 - 2009-11-30 05:42 AM - Otto Dassau

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

in GRASS the module "v.out.ogr" offers a flag c: It says:

 to export features with category (labeled) only. Otherwise all features are exported

AFAICS in src/plugins/grass/scripts/ the module v.out.ogr.pg.py uses v.out.ogr. So the flag option -c should be added to the script and then also to the

GRASS Toolbox. 

Otto

#3 - 2009-11-30 07:23 AM - Giovanni Manghi

Ok, I attached here the necessary patches. I guess Paolo will commit them as soon as he will be back.

#4 - 2009-12-15 08:07 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

Applied in commit:edafb7e0 (SVN r12474)

Files

patch.tar.gz 817 Bytes 2009-11-30 Giovanni Manghi

2024-04-27 2/2


